Updates an existing quote
Endpoint
PATCH /quotes/{id}Authentication
Required: Authorization header with valid token
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | unique identifier |
Request Body
JSON
{
"quoteId": "string",
"metadata": {},
"date": "date",
"deadline": "date",
"amount": "number",
"mediaId": "uuid",
"mediaName": "string",
"status": "enum",
"contractId": "uuid",
"bookingIds": [
"uuid"
],
"startDate": "date-time",
"endDate": "date-time",
"clientId": "uuid",
"externalId": "string"
}Response
Error
Example Usage
Update quote amount and status
Bash
curl -X PATCH "https://integration-api.ram.syniotec.com/master-data/v1/quote-management/quotes/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"amount": 6000.00,
"status": "OPEN"
}'